#!/usr/bin/perl
#======================================================================
#    This source code is public domain, and may be freely distributed,
#    modified, and used for any purpose.  IT COMES WITH ABSOLUTELY NO
#    WARRANTY OF ANY KIND.
#======================================================================
# FILE:		depicttest.pl
# AUTHOR:	Craig A. James
# DESCRIPTION:
#	Tests the depict and particularly the PNG drawing library.
#======================================================================

use strict;
use DayPerl2;

DayPerl2::dl_alloc_image(400, 500, 200, 255, 200, 1);	# Allocate a PNG image, transparent background
DayPerl2::dl_alloc_ga(1, 0, 155, 0);			# Allocate drawing color, dark green

my $mol = dt_smilin("c1ccncc1C(O)C(CS(=O)(=O)CC)CN(C)CCCCCCCC");
my $dep = dt_alloc_depiction($mol);
dt_setframe($dep, 0);
dt_setboolean($dep, "suppress", 1);
dt_calcxy($dep);
dt_depict($dep);
my $png = DayPerl2::dl_get_image();

open (PNGFILE, ">test_out.png") || die("can't open output file");
binmode PNGFILE;
print PNGFILE $png;
close PNGFILE;
print "Created test_out.png\n";
exit 0;
