#!/usr/bin/perl
#======================================================================
# This source code is public domain, and may be freely distributed,
# modified, and used for any purpose.  IT COMES WITH ABSOLUTELY NO
# WARRANTY OF ANY KIND.
#======================================================================
# FILE:		smi2mol.pl
# AUTHOR:	Craig A. James
# DESCRIPTION:
#	Illustration of DayPerl2: Reads SMILES on STDIN, prints SD File
#	on STDOUT.
#======================================================================

use strict;
use DayPerl2;
use MDL;

while (my $smiles = <>) {
    chomp $smiles;
    my $molFileRef = MDL::smi2mol($smiles, undef, undef, undef, 1);
    print STDERR "Error, couldn't convert SMILES: '$smiles'\n" if !$molFileRef;
    print join("\r\n", @$molFileRef) . "\r\n";
    print "\$\$\$\$\n";
}
