#!/usr/bin/perl
#======================================================================
#    This source code is public domain, and may be freely distributed,
#    modified, and used for any purpose.  IT COMES WITH ABSOLUTELY NO
#    WARRANTY OF ANY KIND.
#======================================================================
# FILE:		SmilesTest.pl
# AUTHOR:	Craig A. James
# DESCRIPTION:
#	Trivial test program, shows building a molecule "from scratch."
#======================================================================

use strict;
use DayPerl2;

my $mol = dt_alloc_mol();
dt_mod_on($mol);
my $at1 = dt_addatom($mol, $DX_ATN_C, 3);
my $at2 = dt_addatom($mol, $DX_ATN_C, 1);
my $at3 = dt_addatom($mol, $DX_ATN_Cl, 0);
my $bn1 = dt_addbond($at1, $at2, $DX_BTY_SINGLE);
my $bn2 = dt_addbond($at2, $at3, $DX_BTY_DOUBLE);
dt_mod_off($mol);
my $cansmi = dt_cansmiles($mol, 1);
print "Canonical SMILES: '$cansmi'\n";

exit 0;
