#!/usr/bin/perl
#======================================================================
# This source code is public domain, and may be freely distributed,
# modified, and used for any purpose.  IT COMES WITH ABSOLUTELY NO
# WARRANTY OF ANY KIND.
#======================================================================
# FILE:		thortest.pl
# AUTHOR:	Craig A. James
# DESCRIPTION:
#	Trivial test program
#======================================================================

use strict;

use lib '.';
use DayPerl2;

foreach my $service ("thor", "merlin") {

    my ($server, $isnew);
    if ($service eq "thor") {
	($server, $isnew) = dt_thor_server("moonunit2", $service, "thor", "");
    } else {
	($server, $isnew) = dt_mer_server("moonunit2", $service, "thor", "");
    }
    print "\nGot $service server: $server, isnew = $isnew\n";

    print "   dt_stringvalue() = '" . dt_stringvalue($server) . "'\n";
    print "   dt_typename()    = '" . dt_typename($server) . "'\n";

    my $directories = dt_getsearchpath($server);
    print "Directories:\n";
    while (my $dir = dt_next($directories)) {
	print "  " .  dt_stringvalue($dir) . "\n";
	dt_dealloc($dir);
    }
    dt_dealloc($directories);

    my $databases = dt_getdatabases($server);
    print "Databases:\n";
    while (my $db = dt_next($databases)) {
	print "  " . dt_stringvalue($db) . "\n";
	dt_dealloc($db);
    }
    dt_dealloc($databases);


    print "Opening medchem02demo database...";
    my ($db, $isnew) = dt_open($server, "medchem02demo", "r", "");
    print "\$db = $db, \$isnew = $isnew\n";
    dt_dealloc($db);
    
    dt_dealloc($server);
}
exit 0;
