#!/bin/sh
#==========================================================================+
#    This source code is public domain, and may be freely distributed,     |
#    modified, and used for any purpose.  IT COMES WITH ABSOLUTELY NO      |
#    WARRANTY OF ANY KIND.						   |
#==========================================================================+
#
# FILE: fix_toolkit_names.sh
# AUTHOR: Craig A. James, Modgraph Consultants LTD
#	  http://www.modgraph.co.uk/ or http://www.modgraph-usa.com
#
# DESCRIPTION:
#
#    This little shell script goes with the Swig compiler for DayPerl2.
#
#    The Daylight Toolkit's function names are all of the form
#    "dt_e_xxx()", and are "masked" by #defines (e.g. "#define dt_xxx
#    dt_e_xxx") so that in C, you write "dt_xxx(z,x,y)".  But when the
#    Swig compiler sees this, it generates Perl functions of the form
#    "smiles::dt_e_xxx()".
#
#    To solve this, we run sed(1) on the xxx_wrap.c file that Swig
#    produces, and change the Perl symbol table before we actually
#    compile the C code.  Every instance of "smiles::dt_e_" is changed
#    to "smiles::dt_".
#

tmpfile=./`basename $0 .sh`-$$
sed -e 's/DayPerl2::dt_e_/DayPerl2::dt_/g' <$1 >$tmpfile
mv $tmpfile $1
